HTMLFormatter (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jacoco.report.html
Class HTMLFormatter

    java.lang.Object
      org.jacoco.report.html.HTMLFormatter

All Implemented Interfaces:
  org.jacoco.report.internal.html.IHTMLReportContext

    public class HTMLFormatter

extends Object
implements org.jacoco.report.internal.html.IHTMLReportContext

Formatter for coverage reports in multiple HTML pages.

Constructor Summary
`HTMLFormatter()` New instance with default settings.

Method Summary
`IReportVisitor` | `createVisitor(IMultiReportOutput output)` Creates a new visitor to write a report to the given output.
`String` | `getFooterText()`
`org.jacoco.report.internal.html.index.IIndexUpdate` | `getIndexUpdate()`
`ILanguageNames` | `getLanguageNames()`
`Locale` | `getLocale()`
`String` | `getOutputEncoding()`
`org.jacoco.report.internal.html.resources.Resources` | `getResources()`
`org.jacoco.report.internal.html.ILinkable` | `getSessionsPage()`
`org.jacoco.report.internal.html.table.Table` | `getTable()`
`void` | `setFooterText(String footerText)` Sets the optional text that should be included in every footer page.
`void` | `setLanguageNames(ILanguageNames languageNames)` Sets the implementation for language name display.
`void` | `setLocale(Locale locale)` Sets the locale used for report rendering.
`void` | `setOutputEncoding(String outputEncoding)` Sets the encoding used for generated HTML pages.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLFormatter

    public HTMLFormatter()

  New instance with default settings.

Method Detail

### setLanguageNames

    public void setLanguageNames(ILanguageNames languageNames)

  Sets the implementation for language name display. Java language names are defined by default.

  Parameters:
    `languageNames` - converter for language specific names

### setLocale

    public void setLocale(Locale locale)

  Sets the locale used for report rendering. The current default locale is used by default.

  Parameters:
    `locale` - locale used for report rendering

### setFooterText

    public void setFooterText(String footerText)

  Sets the optional text that should be included in every footer page.

  Parameters:
    `footerText` - footer text

### setOutputEncoding

    public void setOutputEncoding(String outputEncoding)

  Sets the encoding used for generated HTML pages. Default is UTF-8.

  Parameters:
    `outputEncoding` - HTML output encoding

### getLanguageNames

    public ILanguageNames getLanguageNames()

  Specified by:
    `getLanguageNames` in interface `org.jacoco.report.internal.html.IHTMLReportContext`

### getResources

    public org.jacoco.report.internal.html.resources.Resources getResources()

  Specified by:
    `getResources` in interface `org.jacoco.report.internal.html.IHTMLReportContext`

### getTable

    public org.jacoco.report.internal.html.table.Table getTable()

  Specified by:
    `getTable` in interface `org.jacoco.report.internal.html.IHTMLReportContext`

### getFooterText

    public String getFooterText()

  Specified by:
    `getFooterText` in interface `org.jacoco.report.internal.html.IHTMLReportContext`

### getSessionsPage

    public org.jacoco.report.internal.html.ILinkable getSessionsPage()

  Specified by:
    `getSessionsPage` in interface `org.jacoco.report.internal.html.IHTMLReportContext`

### getOutputEncoding

    public String getOutputEncoding()

  Specified by:
    `getOutputEncoding` in interface `org.jacoco.report.internal.html.IHTMLReportContext`

### getIndexUpdate

    public org.jacoco.report.internal.html.index.IIndexUpdate getIndexUpdate()

  Specified by:
    `getIndexUpdate` in interface `org.jacoco.report.internal.html.IHTMLReportContext`

### getLocale

    public Locale getLocale()

  Specified by:
    `getLocale` in interface `org.jacoco.report.internal.html.IHTMLReportContext`

### createVisitor

    public IReportVisitor createVisitor(IMultiReportOutput output)
                                 throws IOException

  Creates a new visitor to write a report to the given output.

  Parameters:
    `output` - output to write the report to
  Returns:
    visitor to emit the report data to
  Throws:
    `IOException` - in case of problems with the output stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.